/**  版本信息模板在安装目录下，可自行修改。
* T_InvolvedEquip_RepairProcess.cs
*
* 功 能： N/A
* 类 名： T_InvolvedEquip_RepairProcess
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/9/19 10:28:50   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;

using RMYY_CallCenter_Api.DB;

namespace RMYY_CallCenter_Api.DAL
{
	/// <summary>
	/// 数据访问类:T_InvolvedEquip_RepairProcess
	/// </summary>
	public partial class T_InvolvedEquip_RepairProcess
	{
		public T_InvolvedEquip_RepairProcess()
		{}
		#region  BasicMethod

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
		return DbHelperSQL.GetMaxID("F_ID", "T_InvolvedEquip_RepairProcess"); 
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_ID)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) from T_InvolvedEquip_RepairProcess");
			strSql.Append(" where F_ID=@F_ID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_ID", SqlDbType.Int,4)
			};
			parameters[0].Value = F_ID;

			return DbHelperSQL.Exists(strSql.ToString(),parameters);
		}


		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(RMYY_CallCenter_Api.Model.T_InvolvedEquip_RepairProcess model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_InvolvedEquip_RepairProcess(");
			strSql.Append("F_RepairProcessId,F_WorkOrderCode,F_EquipName,F_DicId,F_EquipPrice,F_EquipAmount,F_CreateTime,F_IsDelete,F_EquipNumber)");
			strSql.Append(" values (");
			strSql.Append("@F_RepairProcessId,@F_WorkOrderCode,@F_EquipName,@F_DicId,@F_EquipPrice,@F_EquipAmount,@F_CreateTime,@F_IsDelete,@F_EquipNumber)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_RepairProcessId", SqlDbType.Int,4),
					new SqlParameter("@F_WorkOrderCode", SqlDbType.NVarChar,50),
					new SqlParameter("@F_EquipName", SqlDbType.NVarChar,50),
					new SqlParameter("@F_DicId", SqlDbType.Int,4),
					new SqlParameter("@F_EquipPrice", SqlDbType.Decimal,9),
					new SqlParameter("@F_EquipAmount", SqlDbType.Int,4),
					new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
					new SqlParameter("@F_IsDelete", SqlDbType.Int,4),
                  new SqlParameter("@F_EquipNumber", SqlDbType.NVarChar,50)  
            };
			parameters[0].Value = model.F_RepairProcessId;
			parameters[1].Value = model.F_WorkOrderCode;
			parameters[2].Value = model.F_EquipName;
			parameters[3].Value = model.F_DicId;
			parameters[4].Value = model.F_EquipPrice;
			parameters[5].Value = model.F_EquipAmount;
			parameters[6].Value = model.F_CreateTime;
			parameters[7].Value = model.F_IsDelete;
            parameters[8].Value = model.F_EquipNumber;
            object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(RMYY_CallCenter_Api.Model.T_InvolvedEquip_RepairProcess model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_InvolvedEquip_RepairProcess set ");
			strSql.Append("F_RepairProcessId=@F_RepairProcessId,");
			strSql.Append("F_WorkOrderCode=@F_WorkOrderCode,");
			strSql.Append("F_EquipName=@F_EquipName,");
			strSql.Append("F_DicId=@F_DicId,");
			strSql.Append("F_EquipPrice=@F_EquipPrice,");
			strSql.Append("F_EquipAmount=@F_EquipAmount,");
			strSql.Append("F_CreateTime=@F_CreateTime,");
			strSql.Append("F_IsDelete=@F_IsDelete");
			strSql.Append(" where F_ID=@F_ID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_RepairProcessId", SqlDbType.Int,4),
					new SqlParameter("@F_WorkOrderCode", SqlDbType.NVarChar,50),
					new SqlParameter("@F_EquipName", SqlDbType.NVarChar,50),
					new SqlParameter("@F_DicId", SqlDbType.Int,4),
					new SqlParameter("@F_EquipPrice", SqlDbType.Decimal,9),
					new SqlParameter("@F_EquipAmount", SqlDbType.Int,4),
					new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
					new SqlParameter("@F_IsDelete", SqlDbType.Int,4),
					new SqlParameter("@F_ID", SqlDbType.Int,4)};
			parameters[0].Value = model.F_RepairProcessId;
			parameters[1].Value = model.F_WorkOrderCode;
			parameters[2].Value = model.F_EquipName;
			parameters[3].Value = model.F_DicId;
			parameters[4].Value = model.F_EquipPrice;
			parameters[5].Value = model.F_EquipAmount;
			parameters[6].Value = model.F_CreateTime;
			parameters[7].Value = model.F_IsDelete;
			parameters[8].Value = model.F_ID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_ID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_InvolvedEquip_RepairProcess ");
			strSql.Append(" where F_ID=@F_ID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_ID", SqlDbType.Int,4)
			};
			parameters[0].Value = F_ID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_IDlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_InvolvedEquip_RepairProcess ");
			strSql.Append(" where F_ID in ("+F_IDlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_InvolvedEquip_RepairProcess GetModel(int F_ID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_ID,F_RepairProcessId,F_WorkOrderCode,F_EquipName,F_DicId,F_EquipPrice,F_EquipAmount,F_CreateTime,F_IsDelete from T_InvolvedEquip_RepairProcess ");
			strSql.Append(" where F_ID=@F_ID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_ID", SqlDbType.Int,4)
			};
			parameters[0].Value = F_ID;

			RMYY_CallCenter_Api.Model.T_InvolvedEquip_RepairProcess model=new RMYY_CallCenter_Api.Model.T_InvolvedEquip_RepairProcess();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				return DataRowToModel(ds.Tables[0].Rows[0]);
			}
			else
			{
				return null;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_InvolvedEquip_RepairProcess DataRowToModel(DataRow row)
		{
			RMYY_CallCenter_Api.Model.T_InvolvedEquip_RepairProcess model=new RMYY_CallCenter_Api.Model.T_InvolvedEquip_RepairProcess();
			if (row != null)
			{
				if(row["F_ID"]!=null && row["F_ID"].ToString()!="")
				{
					model.F_ID=int.Parse(row["F_ID"].ToString());
				}
				if(row["F_RepairProcessId"]!=null && row["F_RepairProcessId"].ToString()!="")
				{
					model.F_RepairProcessId=int.Parse(row["F_RepairProcessId"].ToString());
				}
				if(row["F_WorkOrderCode"]!=null)
				{
					model.F_WorkOrderCode=row["F_WorkOrderCode"].ToString();
				}
				if(row["F_EquipName"]!=null)
				{
					model.F_EquipName=row["F_EquipName"].ToString();
				}

                if (row["F_EquipNumber"] != null)
                {
                    model.F_EquipNumber = row["F_EquipNumber"].ToString();
                }

                if (row["F_DicId"]!=null && row["F_DicId"].ToString()!="")
				{
					model.F_DicId=int.Parse(row["F_DicId"].ToString());
				}
				if(row["F_EquipPrice"]!=null && row["F_EquipPrice"].ToString()!="")
				{
					model.F_EquipPrice=decimal.Parse(row["F_EquipPrice"].ToString());
				}
				if(row["F_EquipAmount"]!=null && row["F_EquipAmount"].ToString()!="")
				{
					model.F_EquipAmount=int.Parse(row["F_EquipAmount"].ToString());
				}
				if(row["F_CreateTime"]!=null && row["F_CreateTime"].ToString()!="")
				{
					model.F_CreateTime=DateTime.Parse(row["F_CreateTime"].ToString());
				}
				if(row["F_IsDelete"]!=null && row["F_IsDelete"].ToString()!="")
				{
					model.F_IsDelete=int.Parse(row["F_IsDelete"].ToString());
				}
			}
			return model;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_ID,F_RepairProcessId,F_WorkOrderCode,F_EquipName,F_DicId,F_EquipPrice,F_EquipAmount,F_CreateTime,F_IsDelete ");
			strSql.Append(" FROM T_InvolvedEquip_RepairProcess ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_ID,F_RepairProcessId,F_WorkOrderCode,F_EquipName,F_DicId,F_EquipPrice,F_EquipAmount,F_CreateTime,F_IsDelete ");
			strSql.Append(" FROM T_InvolvedEquip_RepairProcess ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_InvolvedEquip_RepairProcess ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_ID desc");
			}
			strSql.Append(")AS Row, T.*  from T_InvolvedEquip_RepairProcess T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_InvolvedEquip_RepairProcess";
			parameters[1].Value = "F_ID";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

